<?php
// $Id: theme-settings.inc,v 1.1 2009/03/14 04:33:06 kong Exp $

function inf08_theme_get_default_settings() {
  $defaults = array(
    'inf08_breadcrumb_display' => 1,
    'inf08_mission_display' => 'all',
    'inf08_mission_title' => '',
    'inf08_recent_comments' => 5,
  );

  return array_merge($defaults, theme_get_settings());
}

function inf08_theme_init_settings() {
  global $theme_key;

  $defaults = inf08_theme_get_default_settings();
  $settings = theme_get_settings($theme_key);

  // Don't save the toggle_node_info_ variables
  if (module_exists('node')) {
    foreach (node_get_types() as $type => $name) {
      unset($settings['toggle_node_info_'. $type]);
    }
  }

  // Save default theme settings
  variable_set(
    str_replace('/', '_', 'theme_' . $theme_key . '_settings'),
    array_merge($defaults, $settings)
  );

  // Force refresh of Drupal internals
  theme_get_setting('', TRUE);
}
