<?php
// $Id: theme-settings.php,v 1.2 2009/03/14 04:33:06 kong Exp $

require_once('theme-settings.inc');

/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/
function phptemplate_settings($saved_settings) {
  // Get default settings
  $defaults = inf08_theme_get_default_settings();

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create theme settings form widgets using Forms API

  // Inf08 fieldset
  $form['inf08_container'] = array(
    '#type' => 'fieldset',
    '#title' => t('Inf08 settings'),
    '#description' => t('Use these settings to change what and how information is displayed in your theme.'),
    '#collapsible' => TRUE,
    '#collapsed' => false,
  );

  // General Settings
  $form['inf08_container']['general_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('General settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['inf08_container']['general_settings']['inf08_breadcrumb_display'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display breadcrumb'),
    '#default_value' => $settings['inf08_breadcrumb_display'],
  );

  $form['inf08_container']['general_settings']['inf08_mission_display'] = array(
    '#type' => 'radios',
    '#title' => t('Where should your mission statement be displayed?'),
    '#default_value' => $settings['inf08_mission_display'],
    '#options' => array(
      'front' => t('Display mission statement only on front page'),
      'all' => t('Display mission statement on all pages'),
    ),
  );

  $form['inf08_container']['general_settings']['inf08_mission_title'] = array(
      '#type'          => 'textfield',
      '#title'         => t('Mission statement title'),
      '#default_value' => $settings["inf08_mission_title"],
      '#description'   => t('The title of your mission statement. Leave blank to disable.'),
  );

  $form['inf08_container']['general_settings']['inf08_recent_comments'] = array(
      '#type'          => 'textfield',
      '#title'         => t('Number of comments in Recent Comments block'),
      '#default_value' => $settings["inf08_recent_comments"],
      '#description'   => t('Number of comments to show in Recent comments block. Default is 5.'),
  );

  return $form;
}